# autoSnapSensitivity property

double? autoSnapSensitivity
getter/setter pair

Changes sensitivity of auto-snapping. That is: the more sensitive it is the faster it shoots. This parameter only works when `barcodeImageGenerationType = BarcodeImageGenerationType.CAPTURED_IMAGE` Sensitivity must be within (0..1) range. A value of 1.0 triggers automatic capturing immediately, a value of 0.0 delays the automatic capturing by 3 seconds.

The default value is 0.66 (1 sec) so you will get snapped barcode result with saved image each not often than 1 second.

@param sensitivity should be within (0..1) range.

## Implementation

    double? autoSnapSensitivity;